<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:java="http://xml.apache.org/xslt/java"
extension-element-prefixes="java">

<!--
<xsl:output method="html"/>  
-->

<xsl:attribute-set name="body-style">
  <xsl:attribute name="bgcolor">#ffffff</xsl:attribute>
  <xsl:attribute name="text">#000000</xsl:attribute>
  <xsl:attribute name="link">#006666</xsl:attribute>
  <xsl:attribute name="alink">#cc9900</xsl:attribute>
  <xsl:attribute name="vlink">#666633</xsl:attribute>
  <xsl:attribute name="background">interfaces/default/images/chalk.gif</xsl:attribute>
</xsl:attribute-set>


<xsl:template name="greenstoneHead">
<head>
<title><xsl:call-template name="text"><xsl:with-param name="key">nzdl</xsl:with-param></xsl:call-template></title>

</head>
</xsl:template>

<xsl:template name="greenstonePageBanner">

<center>
<table width="537" cellspacing="0" cellpadding="0">
  <tr valign="top">
    <td rowspan="2" align="left"><center><img src="interfaces/default/images/nzdl2gr.gif" width="457" height="181" ><xsl:attribute name="alt"><xsl:call-template name="text"><xsl:with-param name="key">nzdl</xsl:with-param></xsl:call-template></xsl:attribute></img></center></td>
    <td align="right"></td>
  </tr>

  <tr>
    <td align="right"></td>
  </tr>

  <tr>
    <td colspan="2"></td>
  </tr>
</table>
<xsl:call-template name="greenBar"/>

</center>

<!-- end of page banner -->

</xsl:template>

<xsl:template name="greenstoneFooter">
<center>
<p/>
<small>powered by greenstone3</small>
</center>
</xsl:template>


<xsl:template name="collectionPageBanner">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:param name="collIcon"><xsl:value-of select="$collName"/>.gif</xsl:param>
<xsl:variable name="library" select="ancestor::page/config/library_name"/>
<table width="537">
<tr><td align="left"><a href="{$library}?a=p&amp;sa=about&amp;c={$collName}"><img width="150" border="1"><xsl:attribute name="src">sites/<xsl:value-of select="ancestor::page/config/site_name"/>/collect/<xsl:value-of select="$collName"/>/images/<xsl:value-of select="$collIcon"/></xsl:attribute><xsl:attribute name="alt"><xsl:call-template name="text"><xsl:with-param name="key">aboutpage</xsl:with-param></xsl:call-template></xsl:attribute></img></a></td><td align="right"><a href="{$library}?a=p&amp;sa=home"><xsl:call-template name="text"><xsl:with-param name="key">home</xsl:with-param></xsl:call-template></a></td></tr></table>

<xsl:call-template name="greenBar"/>
</xsl:template>

<!-- do we want different stuff for cluster or same as collection -->
<xsl:template name="clusterPageBanner">
<xsl:param name="clusterName">coll-name</xsl:param>
<xsl:variable name="library" select="ancestor::page/config/library_name"/>
<table width="537">
<tr><td align="left"><a href="{$library}?a=p&amp;sa=about&amp;c={$clusterName}"><xsl:value-of select="$clusterName"/></a></td><td align="right"><a href="{$library}?a=p&amp;sa=home"><xsl:call-template name="text"><xsl:with-param name="key">home</xsl:with-param></xsl:call-template></a></td></tr></table>

<xsl:call-template name="greenBar"/>
</xsl:template>

<xsl:template name="greenBar">
<p/><img src="interfaces/default/images/divb.gif" width="537" height="17"/>
</xsl:template>



<!-- Display the appropriate image, depending on the node type -->
<xsl:template match="documentNode" mode="displayNodeIcon">

  <!-- Root node: book icon (open or closed) -->
  <xsl:if test="@documentNodeType='root'">
    <xsl:choose>
      <xsl:when test="documentNode">
	<img border="0" width="28" height="23"
	     src="interfaces/default/images/openbook.gif"
	     alt="Close this book"/>
      </xsl:when>
      <xsl:otherwise>
	<img border="0" width="18" height="11"
	     src="interfaces/default/images/book.gif"
	     alt="Open this document and view contents"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:if>

  <!-- Interior node: folder icon (open or closed) -->
  <xsl:if test="@documentNodeType='interior'">
    <xsl:choose>
      <xsl:when test="documentNode">
	<img border="0" width="23" height="15"
	     src="interfaces/default/images/openfldr.gif"
	     alt="Close this folder"/>
      </xsl:when>
      <xsl:otherwise>
	<img border="0" width="23" height="15"
	     src="interfaces/default/images/clsdfldr.gif"
	     alt="Open this folder and view contents"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:if>

  <!-- Leaf node: page icon -->
  <xsl:if test="@documentNodeType='leaf'">
    <img border="0" width="16" height="21"
	 src="interfaces/default/images/itext.gif"
	 alt="View the document"/>
  </xsl:if>
</xsl:template>




<!-- text stuff. can be called via xsl:call-template:  

<xsl:call-template name="text"><xsl:with-param name="key">your text name here</xsl:with-param></xsl:call-template>

otherwise can be selected by :

<xsl:apply-templates select="text"/>  

the text elem to be processed must be in the form
<text name="query/about"/>

-->

<xsl:template name="text" match="text">
<xsl:param name="key"><xsl:value-of select="@name"/></xsl:param>
<xsl:variable name="path">ancestor::page/display/<xsl:value-of select='$key'/></xsl:variable>
<xsl:variable name="string1"><xsl:value-of select="java:org.apache.xalan.lib.Extensions.evaluate($path)"/></xsl:variable>
<xsl:choose><xsl:when test="boolean(string($string1))"><xsl:value-of select="$string1"/></xsl:when>
<xsl:otherwise>

<!-- no match found, output the name of the text string -->
_<xsl:value-of select="$key"/>_</xsl:otherwise>
</xsl:choose>
</xsl:template>


<!-- may not have to use this anymore-->
<xsl:template name="text-old" match="text-old">

<xsl:param name="key"><xsl:value-of select="@name"/></xsl:param>

<!-- try the current language -->

<xsl:variable name="path1">ancestor::page/translate/current/text/<xsl:value-of select="$key"/></xsl:variable>
<xsl:variable name="string1"><xsl:value-of select="java:org.apache.xalan.lib.Extensions.evaluate($path1)"/></xsl:variable>
<xsl:choose><xsl:when test="boolean(string($string1))"><xsl:value-of select="$string1"/></xsl:when>
<xsl:otherwise>

<!-- try the default language -->
<xsl:variable name="path2">ancestor::page/translate/default/text/<xsl:value-of select="$key"/></xsl:variable>
<xsl:variable name="string2"><xsl:value-of select="java:org.apache.xalan.lib.Extensions.evaluate($path2)"/></xsl:variable>
<xsl:choose><xsl:when test="boolean(string($string1))"><xsl:value-of select="$string1"/></xsl:when>
<xsl:otherwise>

<!-- no match found, output the name of the text string -->
_<xsl:value-of select="$key"/>_</xsl:otherwise>
</xsl:choose>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>  
