<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xslt="output.xsl"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:gsf="http://www.greenstone.org/configformat"
  extension-element-prefixes="java">
  
  <xsl:output method="xml"/>
  <xsl:namespace-alias
    stylesheet-prefix="xslt" result-prefix="xsl"/>


  <xsl:template match="format">
    <format hello="yes">
      <xsl:apply-templates/>
    </format>
  </xsl:template>
  
  <xsl:template match="gsf:template">
    <xslt:template>
      <xsl:copy-of select="@*"/>
      <xsl:attribute name="priority">2</xsl:attribute> 
      <xsl:if test=".//gsf:link">
	<xslt:param name="collName">coll-name</xslt:param>
	<xslt:variable name='library' select='ancestor::page/config/library_name'/>
      </xsl:if>
      <xsl:apply-templates/>
    </xslt:template>
  </xsl:template>
  
  <xsl:template match="gsf:link">
  <a><xsl:attribute name="href">{$library}?a=d&amp;c={$collName}&amp;d={@name}</xsl:attribute>
    <xsl:apply-templates/>
    </a>
  </xsl:template>

  <xsl:template match="gsf:icon">
    <img src='interfaces/default/images/book.gif' width='18' height='11' border='0'/>
  </xsl:template>

  <xsl:template match="gsf:metadata">    
    <xslt:value-of><xsl:attribute name="select">metadataList/metadata[@name='<xsl:value-of select="@name"/>']</xsl:attribute></xslt:value-of>
  </xsl:template>

<!--
  <xsl:template match="gsf:text">
TODO
  </xsl:template>
-->
  <xsl:template match="*">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>


</xsl:stylesheet>


